<?php

namespace Drop\Klarna\Api;

/**
 * Interface ConfigPathInterface
 * @package Drop\Klarna\Api
 */
interface ConfigPathInterface {
    /**
     * @const
     * Constants representing all the configuration paths
     */
    public const BASE_CONFIG_PATH = 'klarna_integration/';
    public const ON_SITE_MESSAGING_CONFIG_PATH = 'klarna_kp_onsite_messaging/';
    public const CONFIGURATION_CONFIG_PATH = 'klarna_kp_configuration/';
    public const LIBRARY_URL_CONFIG_PATH = self::BASE_CONFIG_PATH . self::ON_SITE_MESSAGING_CONFIG_PATH . 'library_url';
    public const CLIENT_ID_CONFIG_PATH = self::BASE_CONFIG_PATH . self::ON_SITE_MESSAGING_CONFIG_PATH . 'client_id';
    public const CAPTURE_MODE_CONFIG_PATH = self::BASE_CONFIG_PATH . self::CONFIGURATION_CONFIG_PATH . 'capture_mode';
    public const DEBUG_MODE_CONFIG_PATH = self::BASE_CONFIG_PATH . self::CONFIGURATION_CONFIG_PATH . 'debug_mode';

    // original configuration
    public const KLARNA_KP_ENABLED_CONFIG_PATH = 'payment/klarna_kp/active';
}
